|  | Home | Documentation | uddi2__find_USCOREtModel Class Reference updated by Robert van Engelen |

Public Member Functions | Public Attributes | List of all members
uddi2__find_USCOREtModel Class Reference

Schema urn:uddi-org:api_v2:"find_tModel". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__find_USCOREtModel:
[legend]

## Public Member Functions

| uddi2__find_USCOREtModel (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREtModel (struct soap *, const char *name)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREtModel (struct soap *, std::vector< uddi2__keyedReference * > keyedReferences)
| Member declared in uddi2-typemap.dat.
uddi2__tModelList * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat.

## Public Attributes

uddi2__findQualifiers * | findQualifiers
| Element reference "urn:uddi-org:api_v2":findQualifiers.
uddi2__name * | name
| Element reference "urn:uddi-org:api_v2":name.
uddi2__identifierBag * | identifierBag
| Element reference "urn:uddi-org:api_v2":identifierBag.
uddi2__categoryBag * | categoryBag
| Element reference "urn:uddi-org:api_v2":categoryBag.
char * | generic
| Attribute generic of type xs:string.
int * | maxRows
| Attribute maxRows of type xs:int.
struct soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"find_tModel".

Represents a request to locate a list of tModel entries that match a set of specific criteria. The result of a search is a uddi2__tModelList object that contains information about registered tModel data that matches the criteria.

See @url http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137716

## Constructor & Destructor Documentation

## ◆ uddi2__find_USCOREtModel() [1/3]

uddi2__find_USCOREtModel::uddi2__find_USCOREtModel | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the find_USCOREtModel class.

## ◆ uddi2__find_USCOREtModel() [2/3]

uddi2__find_USCOREtModel::uddi2__find_USCOREtModel | ( | struct soap * | soap,
|  | const char * | name )

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | name | of the tModel

Creates an instance of the find_USCOREtModel class using the specified tModel name.

## ◆ uddi2__find_USCOREtModel() [3/3]

uddi2__find_USCOREtModel::uddi2__find_USCOREtModel | ( | struct soap * | soap,
|  | std::vector< uddi2__keyedReference * > | keyedReferences )

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | keyedReferences | collection of category keys

Creates an instance of the find_USCOREtModel class using the specified category keys.

## Member Function Documentation

## ◆ send()

uddi2__tModelList * uddi2__find_USCOREtModel::send | ( | const char * | endpoint | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | endpoint | URL of the UDDI server

Returns
  A pointer to a uddi2__tModelList object or NULL on error

Send a request to a UDDI server to find a tModelList.

## Member Data Documentation

## ◆ categoryBag

uddi2__categoryBag* uddi2__find_USCOREtModel::categoryBag

Element reference "urn:uddi-org:api_v2":categoryBag.

Optional element

## ◆ findQualifiers

uddi2__findQualifiers* uddi2__find_USCOREtModel::findQualifiers

Element reference "urn:uddi-org:api_v2":findQualifiers.

Optional element

## ◆ generic

char* uddi2__find_USCOREtModel::generic

Attribute generic of type xs:string.

Required attribute

## ◆ identifierBag

uddi2__identifierBag* uddi2__find_USCOREtModel::identifierBag

Element reference "urn:uddi-org:api_v2":identifierBag.

Optional element

## ◆ maxRows

int* uddi2__find_USCOREtModel::maxRows

Attribute maxRows of type xs:int.

Optional attribute

## ◆ name

uddi2__name* uddi2__find_USCOREtModel::name

Element reference "urn:uddi-org:api_v2":name.

Optional element

## ◆ soap

struct soap* uddi2__find_USCOREtModel::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h